Get a limited package list

Base URL
https://{kibana_url}
  • GET /api/fleet/epm/packages/limited
  • GET /s/{space_id}/api/fleet/epm/packages/limited
Auth

Get the list of packages that cannot be uninstalled (e.g. elastic_agent, fleet_server).

Required authorization

Privileges integrations-read or fleet-setup or fleet-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
items string[] · max items: 10000 required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}